Package in.cdac.medinfo.csnotk.csnolib.disb.model

## Class SubstanceDescription

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.disb.model.SubstanceDescription

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SubstanceDescription
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubstanceDescription()` |
    `SubstanceDescription​(java.lang.String id, java.lang.String substanceName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAcceptability()` |
    `java.lang.String` | `getId()` |
    `java.lang.String` | `getLangDialect()` |
    `SubstanceDetail` | `getSubstanceDetail()` |
    `java.lang.String` | `getSubstanceName()` |
    `void` | `setAcceptability​(java.lang.String acceptability)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setLangDialect​(java.lang.String langDialect)` |
    `void` | `setSubstanceDetail​(SubstanceDetail substanceDetail)` |
    `void` | `setSubstanceName​(java.lang.String substanceName)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubstanceDescription

          public SubstanceDescription()

    - #### SubstanceDescription

          public SubstanceDescription​(java.lang.String id,
                                      java.lang.String substanceName)

  - ### Method Detail

    - #### getLangDialect

          public java.lang.String getLangDialect()

    - #### setLangDialect

          public void setLangDialect​(java.lang.String langDialect)

    - #### getAcceptability

          public java.lang.String getAcceptability()

    - #### setAcceptability

          public void setAcceptability​(java.lang.String acceptability)

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId​(java.lang.String id)

    - #### getSubstanceName

          public java.lang.String getSubstanceName()

    - #### setSubstanceName

          public void setSubstanceName​(java.lang.String substanceName)

    - #### getSubstanceDetail

          public SubstanceDetail getSubstanceDetail()

    - #### setSubstanceDetail

          public void setSubstanceDetail​(SubstanceDetail substanceDetail)